#
# spec file for package scsi
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           scsi
BuildRequires:  sysfsutils tk
%define sinfover	1.7
%define sdevver 	2.36
%define sgutver 	1.19
%define lsscsiver	0.17
%define sdparmver	0.97
License:        GPL v2 or later
Group:          Hardware/Other
Provides:       scsiinfo sg_utils scsidev
AutoReqProv:    on
Version:        1.7_2.36_1.19_0.17_0.97
Release:        12.31.1
Summary:        SCSI Tools (Text Mode)
Source:         scsiinfo-%{sinfover}.tar.gz
Patch:          scsiinfo-%{sinfover}.diff
Patch1:         scsiinfo-%{sinfover}-scsifmt.diff
Source2:        http://www.garloff.de/kurt/linux/scsidev/scsidev-%{sdevver}.tar.gz
Patch2:         scsidev-%{sdevver}.diff
Patch3:         sg3_utils-rdac-support.patch
Patch4:         lsscsi-transport-update
Patch5:         sg3_utils-fix-sg_map
Patch6:         sg3_utils-inq-add-len-option
Patch7:         sg3_utils-sg_map26-devno-fix
Patch8:         sg3_utils-sg_turs-retval-update
Patch9:         sg3_utils-sg_luns-xfersize
Source5:        sysconfig.scsidev
Source3:        http://www.garloff.de/kurt/linux/rescan-scsi-bus.sh
Source4:        http://www.torque.net/sg/p/sg3_utils-%{sgutver}.tgz
Source6:        http://www.torque.net/scsi/lsscsi-%{lsscsiver}.tgz
Source7:        http://sg.torque.net/sg/p/sdparm-%{sdparmver}.tgz	
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %suse_version > 800
PreReq:         %fillup_prereq %insserv_prereq
%endif

%description
A collection of useful tools for users of SCSI systems:

* scsiinfo: Allows access to some internals of SCSI devices, such as
   defect lists or the so-called mode pages, which control, for
   example, the behavior of the device's cache or error management.

* sdparm: Like scsiinfo, but with support for many more mode
   (sub)pages and a better command line interface.

* scsiformat: A low-level formatting tool for SCSI disks.

* scsidev: If your SCSI config changes from time to time, for
   example, because you have external devices which are not always
   switched on or connected, the kernel's mapping to the device
   nodes is not always the way you would expect it to be. This
   program creates a mapping which remains unchanged in most of
   these cases.

* rescan-scsi-bus.sh: A script that scans the SCSI bus and
   dynamically adds and, optionally, removes devices.

* sg3_utils: A collection of small, useful tools based on the sg
   interface (v3) that give info on the SCSI bus, copy data, and
   more.

* lsscsi: Lists SCSI devices on your system.

Warning: Some of these tools access the internals of your system and
misuse of them may render your system inoperable.

Note: scsiinfo comes with a graphical user interface which can be found
in the xscsi package.



Authors:
--------
    Michael Weller <eowmob@exp-math.uni-essen.de>
    Eric Youngdale <eric@aib.com>
    Doug Gilbert <dgilbert@interlog.com>
    Kurt Garloff <garloff@suse.de>

%package -n xscsi
License:        GPL v2 or later
Summary:        A Graphical Front-End for SCSIinfo
Group:          Hardware/Other
AutoReqProv:    on
Requires:       scsi tk

%description -n xscsi
In order to visualize and manipulate SCSI mode pages, scsiinfo comes
with a graphical interface.



Authors:
--------
    Michael Weller <eowmob@exp-math.uni-essen.de>
    Eric Youngdale <eric@aib.com>

%prep
%setup -n scsiinfo-%{sinfover} -b2 -b4 -b6 -b7
%patch -p1
%patch1 -p1
cd ../scsidev-%{sdevver}
%patch2
cd ../sg3_utils-%{sgutver}
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
cd ../lsscsi-%{lsscsiver}
%patch4 -p1

%build
cd ../scsiinfo-%{sinfover}
make clean
make CFLAGS="$RPM_OPT_FLAGS -Wall -Wno-sign-compare -D_GNU_SOURCE"
cd ../scsidev-%{sdevver}
autoreconf
CFLAGS="$RPM_OPT_FLAGS -Wall" ./configure --prefix=/usr --with-infodir=%{_infodir} --with-mandir=%{_mandir}
make
cd ../sg3_utils-%{sgutver}
make CFLAGS="$RPM_OPT_FLAGS -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64" PREFIX=/usr LIBDIR=%{_libdir}
mv README README.sg
cd ../lsscsi-%{lsscsiver}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir}
make
mv README README.lsscsi
mv ChangeLog ChangeLog.lsscsi
cd ../sdparm-%{sdparmver}
autoreconf
CFLAGS="$RPM_OPT_FLAGS -Wall" ./configure --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
make
mv README README.sdparm
mv ChangeLog ChangeLog.sdparm
#mv NEWS NEWS.sdparm

%install
# scsiinfo
make install DESTDIR=$RPM_BUILD_ROOT
# scsidev
cd ../scsidev-%{sdevver}
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/init.d/boot.d
install -m 640 boot.scsidev $RPM_BUILD_ROOT/etc/init.d/boot.scsidev
install -d $RPM_BUILD_ROOT/bin
install -m 755 $RPM_SOURCE_DIR/rescan-scsi-bus.sh $RPM_BUILD_ROOT/bin
# sg3_utils
cd ../sg3_utils-%{sgutver}
make install DESTDIR=$RPM_BUILD_ROOT INSTDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	PREFIX=/usr
# lsscsi
cd ../lsscsi-%{lsscsiver}
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} MANDIR=$RPM_BUILD_ROOT/%{_mandir} INSTDIR=$RPM_BUILD_ROOT/%{_bindir}
# sdparm
cd ../sdparm-%{sdparmver}
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} MANDIR=$RPM_BUILD_ROOT/%{_mandir} bindir=/sbin
# sysconfig
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates/
install %SOURCE5 $RPM_BUILD_ROOT/var/adm/fillup-templates/

%files
%defattr(-,root,root)
# scsiinfo
%{_sbindir}/sgcheck
%{_bindir}/scsiinfo
%doc 0-CHANGES 0-README.first 0-TODO
%doc %{_mandir}/man8/scsiinfo.8.gz
# scsiformat 
%{_bindir}/scsiformat
%doc %{_mandir}/man8/scsiformat.8.gz
# scsidev
%doc ../scsidev-%{sdevver}/boot.diff ../scsidev-%{sdevver}/CHANGES ../scsidev-%{sdevver}/COPYING
%doc ../scsidev-%{sdevver}/README ../scsidev-%{sdevver}/TODO
/bin/scsidev
%doc %{_mandir}/man8/scsidev.8.gz
%config %attr(755,root,root) /etc/init.d/boot.scsidev
/var/adm/fillup-templates/sysconfig.scsidev
# rescan-scsi-bus.sh
%attr(755,root,root) /bin/rescan-scsi-bus.sh
# sg_utils
%doc ../sg3_utils-%{sgutver}/README.sg ../sg3_utils-%{sgutver}/README.sg_start 
%doc ../sg3_utils-%{sgutver}/CHANGELOG ../sg3_utils-%{sgutver}/INSTALL ../sg3_utils-%{sgutver}/CREDITS
%attr(755,root,root) %{_bindir}/sg_dd
%attr(755,root,root) %{_bindir}/sg_inq
%attr(755,root,root) %{_bindir}/sg_scan
%attr(755,root,root) %{_bindir}/sg_rbuf
%attr(755,root,root) %{_bindir}/sginfo
%attr(755,root,root) %{_bindir}/sg_readcap
%attr(755,root,root) %{_bindir}/sgp_dd
%attr(755,root,root) %{_bindir}/sg_map
%attr(755,root,root) %{_bindir}/sg_turs
%attr(755,root,root) %{_bindir}/sg_test_rwbuf
#%attr(755,root,root) %{_bindir}/scsi_devfs_scan
%attr(755,root,root) %{_bindir}/sgm_dd
%attr(755,root,root) %{_bindir}/sg_read
%attr(755,root,root) %{_bindir}/sg_logs
%attr(755,root,root) %{_bindir}/sg_modes
%attr(755,root,root) %{_bindir}/sg_opcodes
%attr(755,root,root) %{_bindir}/sg_persist
%attr(755,root,root) %{_bindir}/sg_senddiag
%attr(755,root,root) %{_bindir}/sg_reset
%attr(755,root,root) %{_bindir}/sg_emc_trespass
%attr(755,root,root) %{_bindir}/sg_read_long
%attr(755,root,root) %{_bindir}/sg_requests
%attr(755,root,root) %{_bindir}/sg_ses
%attr(755,root,root) %{_bindir}/sg_verify
%attr(755,root,root) %{_bindir}/sg_write_long
%attr(755,root,root) %{_bindir}/sg_luns
%attr(755,root,root) %{_bindir}/sg_prevent
%attr(755,root,root) %{_bindir}/sg_get_config
%attr(755,root,root) %{_bindir}/sg_sync
%attr(755,root,root) %{_bindir}/sg_wr_mode
%attr(755,root,root) %{_bindir}/sg_reassign
%attr(755,root,root) %{_bindir}/sg_rtpg
%attr(755,root,root) %{_bindir}/sg_format
%attr(755,root,root) %{_bindir}/sg_rmsn
%attr(755,root,root) %{_bindir}/sg_start
%attr(755,root,root) %{_bindir}/sg_ident
%attr(755,root,root) %{_bindir}/sg_map26
%attr(755,root,root) %{_bindir}/sg_rdac
%attr(755,root,root) %{_libdir}/libsgutils.a
%attr(755,root,root) %{_libdir}/libsgutils.la
%attr(755,root,root) %{_libdir}/libsgutils.so*
%attr(755,root,root) %dir /usr/include/scsi
%attr(644,root,root) /usr/include/scsi/sg_cmds.h
%attr(644,root,root) /usr/include/scsi/sg_lib.h
%attr(644,root,root) /usr/include/scsi/sg_pt.h
%doc %{_mandir}/man8/sg_dd.8.gz
%doc %{_mandir}/man8/sgp_dd.8.gz
%doc %{_mandir}/man8/sgm_dd.8.gz
%doc %{_mandir}/man8/sg_map.8.gz
%doc %{_mandir}/man8/sg_rbuf.8.gz
%doc %{_mandir}/man8/sg_read.8.gz
%doc %{_mandir}/man8/sg_scan.8.gz
%doc %{_mandir}/man8/sginfo.8.gz
%doc %{_mandir}/man8/sg_readcap.8.gz
%doc %{_mandir}/man8/sg_turs.8.gz
%doc %{_mandir}/man8/sg_inq.8.gz
%doc %{_mandir}/man8/sg_test_rwbuf.8.gz
#%doc %{_mandir}/man8/scsi_devfs_scan.8.gz
%doc %{_mandir}/man8/sg_start.8.gz
%doc %{_mandir}/man8/sg_reset.8.gz
%doc %{_mandir}/man8/sg_modes.8.gz
%doc %{_mandir}/man8/sg_logs.8.gz
%doc %{_mandir}/man8/sg_opcodes.8.gz
%doc %{_mandir}/man8/sg_persist.8.gz
%doc %{_mandir}/man8/sg_senddiag.8.gz
%doc %{_mandir}/man8/sg_emc_trespass.8.gz
%doc %{_mandir}/man8/sg_read_long.8.gz
%doc %{_mandir}/man8/sg_requests.8.gz
%doc %{_mandir}/man8/sg_ses.8.gz
%doc %{_mandir}/man8/sg_verify.8.gz
%doc %{_mandir}/man8/sg_write_long.8.gz
%doc %{_mandir}/man8/sg_luns.8.gz
%doc %{_mandir}/man8/sg_prevent.8.gz
%doc %{_mandir}/man8/sg_get_config.8.gz
%doc %{_mandir}/man8/sg_sync.8.gz
%doc %{_mandir}/man8/sg_wr_mode.8.gz
%doc %{_mandir}/man8/sg_reassign.8.gz
%doc %{_mandir}/man8/sg_rtpg.8.gz
%doc %{_mandir}/man8/sg_format.8.gz
%doc %{_mandir}/man8/sg_rmsn.8.gz
%doc %{_mandir}/man8/sg_ident.8.gz
%doc %{_mandir}/man8/sg_map26.8.gz
%doc %{_mandir}/man8/sg_rdac.8.gz
# lsscsi
%attr(755,root,root) %{_bindir}/lsscsi
%doc %{_mandir}/man8/lsscsi.8.gz
%doc ../lsscsi-%{lsscsiver}/README.lsscsi ../lsscsi-%{lsscsiver}/ChangeLog.lsscsi 
# sdparm
%attr(755,root,root) /sbin/sdparm
%doc %{_mandir}/man8/sdparm.8.gz
%doc ../sdparm-%{sdparmver}/README.sdparm ../sdparm-%{sdparmver}/ChangeLog.sdparm

%files -n xscsi
%defattr(-,root,root)
# scsiinfo, Tk frontend
/usr/bin/scsi-config
/usr/bin/tk_scsiformat
%dir /usr/lib/scsi
/usr/lib/scsi/cache
/usr/lib/scsi/control
/usr/lib/scsi/disconnect
/usr/lib/scsi/error
/usr/lib/scsi/format
/usr/lib/scsi/generic
/usr/lib/scsi/inquiry
/usr/lib/scsi/notch
/usr/lib/scsi/overview
/usr/lib/scsi/peripheral
/usr/lib/scsi/rigid
/usr/lib/scsi/save-changes
/usr/lib/scsi/save-file
/usr/lib/scsi/tworands
/usr/lib/scsi/verify
%doc %{_mandir}/man8/tk_scsiformat.8.gz
%doc %{_mandir}/man8/scsi-config.8.gz

%clean
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/scsidev-%{sdevver}
rm -rf $RPM_BUILD_DIR/sg3_utils-%{sgutver}
rm -rf $RPM_BUILD_DIR/scsiinfo-%{sinfover}
rm -rf $RPM_BUILD_DIR/lsscsi-%{lsscsiver}

%post
%{fillup_and_insserv -n scsidev -p boot.scsidev}

%postun 
%{insserv_cleanup}

%changelog
* Fri Feb 18 2011 hare@suse.de
- fixup LUN detection (bnc#641366)
* Mon Feb  7 2011 hare@suse.de
- rescan-scsi-bus.sh unable to handle more than 127 devices
  (bnc#641366)
- rescan-scsi-bus.sh is unable to remove LUN 0 (bnc#580560)
- sg_turs returns error on passve path (bnc#533737)
* Mon Sep  7 2009 hare@suse.de
- rescan-scsi-bus.sh does not delete LUN 0 (bnc#496282)
- Re-indent rescan-scsi-bus.sh script
* Tue Feb  3 2009 hare@suse.de
- Implement --forcerescan to detect read-only setting changes
  (bnc#384812)
- Update sg_map to work with more than 23 devices (bnc#435237)
* Thu Jul 17 2008 hare@suse.de
- rescan-scsi-bus.sh' is not handling newly added or deleted luns
  correctly (bnc#373274)
- Rescan-scsi-bus does not do reflect change in size of the LUN
  (bnc#390002)
- Use correct length parameter for sg_inq in rescan-scsi-bus.sh
  (bnc#363438)
* Mon Apr 21 2008 hare@suse.de
- Check for changes in the peripheral qualifier, too (bnc#373274)
- Avoid argument overflow in dosearch() (bnc#373274)
* Wed Mar  5 2008 hare@suse.de
- Add option '-l' to support EMC disks (bnc#362338)
* Tue Nov 20 2007 hare@suse.de
- rescan-scsi-bus.sh: Add scanning with REPORT LUNS (FATE #302246)
- Fix mappings for sg_map (bnc#302346)
* Tue Feb 27 2007 hare@suse.de
- Backport patch from upstream to correctly show hostnames
  (#247049)
* Fri Jun  2 2006 hare@suse.de
- Fixup rescan-scsi-bus.sh to not rely on obsolete /proc/scsi/scsi
  interface (176120)
* Tue Apr  4 2006 hare@suse.de
- Added support for RDAC controller.
* Fri Feb 24 2006 garloff@suse.de
- Update to lsscsi-0.17:
  * fix disappearance of block device names in lk 2.6.16-rc1
- Update to sg3_utils-1.19:
  * Various fixes and tiny enhancements.
- Update to sdparm-0.97:
  * Add aupport for decoding of various (sub)pages
  * Various little fixes and portability enhancements.
- boot.scsidev: Print warning that it's obsolete.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 schwab@suse.de
- Don't strip binaries.
* Fri Nov 25 2005 garloff@suse.de
- Update lsscsi to 0.16:
  * Add support for osst and sch devices.
- Update sg3_utils to 1.18:
  * New utils sg_map26 and sg_ident.
  * Lots of minor feature additions (more LUNs, more sg devices,
    new pages and device types, ...).
  * Enhanced options -a,A,b,r,H for sg_inq
- Add sdparm-0.96 to package (hdparm for SCSI/SATA disks, DVDs ..).
* Sun Oct  9 2005 garloff@suse.de
- Update rescan-scsi-bus.sh to 1.18:
  * Make option -r safe: Test if device still answers to TEST_UNIT_
    READY; if it does, check whether INQUIRY is still the same.
    If both tests succeed, don't remove (and readd) the device.
    [#96728]
  * Avoid internal confusion by using two digit numbers when
    grepping through /proc/scsi/scsi
* Mon Aug 22 2005 garloff@suse.de
- Update to scsidev-2.36:
  * Use SG_IO if available.
  * Parse 2.6 kernel sysfs tape info.
  * Better parse 0x83 VPD page.
* Fri Aug 19 2005 kukuk@suse.de
- Add dir /usr/include/scsi to filelist
* Fri Jul 29 2005 hare@suse.de
- Update to sg3_utils-1.15
- Update to lsscsi-0.15
- Install sg_start and sg_reset correctly (#94114)
* Tue Jun 14 2005 ro@suse.de
- neededforbuild: udev -> sysfsutils
* Fri Apr 29 2005 ro@suse.de
- fix build with current glibc includes
* Thu Feb 10 2005 hare@suse.de
- Fixed build errors
- Fixed wrong 'char' usage.
* Sun Jan 23 2005 garloff@suse.de
- Update to lsscsi-0.14: port to use sysfsutils-1.2.0 or later.
- Update to scsidev-2.35: Patches have been incorporated upstream.
- Update to sg3_utils-1.12:
  * New utils: sg_wr_mode, sg_reassign, sg_rtpg
  * Various fixes and imporvements
- Update to sg3_utils-1.11:
  * New utils: sg_sync, sg_prevent, sg_get_config
  * Various fixes and improvements
- Update to sg3_utils-1.10:
  * New utils: sg_luns
* Tue Oct 19 2004 lmb@suse.de
- sg3_utils: Update to latest upstream version.
* Sat Oct 16 2004 lmb@suse.de
- Added sg_emc_trespass command for EMC devices.
* Fri Oct 15 2004 lmb@suse.de
- Added decoding for VPD 0xC0 (Unit Path Report Page) for EMC
  CLARiiON to sg_inq.
* Fri Sep 17 2004 olh@suse.de
- remove /dev/scsi (#44256)
* Tue Aug 17 2004 ro@suse.de
- avoid inclusion of linux/audit.h
* Mon Aug 16 2004 garloff@suse.de
- Update to lsscsi-0.13:
  * add timeout to long device option output
- Update to lsscis-0.12:
  * rework for lk 2.6.6
  * add proc_name for hosts
  * replace 'online' with 'state' for scsi devices
  * add '-d' option to output device node's major and minor numbers
- Update to sg3_utils-1.07:
  * sginfo: clean up inquiry vendor,product,revision strings
  * '-Fhead': sort defect list by head
  * rework sg_err for better command name coverage: service actions,
    variable length and peripheral device type
  - update asc,ascq codes to SPC-3 revision 19
  * move scsi_devfs_scan to archive directory
  * add sg_opcodes utility to list supported operation codes
  * add sg_persist utility to support persistent reservations
  * add '-i' option to sg_inq to decode device identification VPD
    page (0x83)
  * sg_inq tries an ATA IDENTITY if SCSI INQUIRY fails
  * sg_dd, sgm_dd and sgp_dd calculate block device sizes (if count
    not given)
  * drop SG_GET_VERSION_NUM ioctl guard in most utilities
* Wed Jun  9 2004 garloff@suse.de
- scsidev: Allow longer partition names. (#41783)
* Tue May 25 2004 garloff@suse.de
- Fix typo in Should-Start (noot->boot). (#41153)
* Tue May 25 2004 garloff@suse.de
- rescan-scsi-bus.sh: Fix another (harmless) error.
- scsidev: chan= setting in scsi.alias did not work. #41110
* Sat May  8 2004 garloff@suse.de
- rescan-scsi-bus.sh: Fix shell script error
- scsiformat: Handle ENXIO on non-existent partitions when trying
  to swapoff and don't try to swapoff other disks (#40162).
- scsiformat: and display disk info before proceeding (#40162).
* Wed Mar 31 2004 garloff@suse.de
- Fix for #36424:
  * /dev/scsi/testdev could stay laying around in error conditions
  * The device type could be overwritten incorrectly.
* Tue Mar  9 2004 garloff@suse.de
- Fixes for #35432:
  * Should-Start boot.udev before
  * Trigger SCSI module autoloading before parsing /proc/scsi/scsi.
* Tue Mar  2 2004 ro@suse.de
- boot.scsidev: rootfs is mounted-rw by boot.rootfsck
* Fri Feb 27 2004 garloff@suse.de
- rescan-scsi-bus.sh: Handle missing host adapters gracefully.
- boot.scsidev: Fix sed expression determining whether the root
  FS needs to be remounted rw (olh, #35126).
* Thu Feb 26 2004 garloff@suse.de
- Be silent on boot.scsidev stop.
- rescan-scsi-bus.sh: Use 2.6 sysfs to get list of host adapters
- scsidev-2.33final:
  * Support longer host adapter names
* Wed Feb 18 2004 garloff@suse.de
- Update to scsidev-2.33pre:
  * scsidev was too verbose
  * fix bug with T10 ASCII info on EVPD INQ 0x83
  * create names from procfs/sysfs scan; do not rescan using the
    old method
  * support for minors > 255 (and thus for many disks on 2.6)
* Tue Feb 10 2004 garloff@suse.de
- Update rescan-scsi-bus-sh: Fix --lun parameter.
- Update to scsidev-2.32: Better support for sysfs (kernel 2.6).
- Update to lsscsi-0.11: Suppoprt 2.6.1 and drop --name param.
- Update to sg3_utils-1.06:
  * sg_logs: some HBAs don't like odd transfer lengths so increment
  * sg_scan: optionally take device file names
  * sg_err: add sg_decode_sense() function
  * sg_inq: update output (ref: SPC-3 t10/1416-d rev 16)
  * sginfo: allow '-u' to take hex arguments (prefixed by '0x'),
    when subpage value is 255 show multiple subpages
    accept /dev/hd? ATAPI devices directly in lk 2.6
    add '-t <pn>[,<spn>]' argument; like '-u' but decodes page
    if it recognizes it
    drop '-L' argument
    add cd/dvd, tape, SES, more disk and more SPC-3 decoded mode pages
    add transport protocol decoded mode pages for SPI-4, FCP and SAS
  * sg_modes: print all subpages when '-subp=ff' is selected
    do INQUIRY and output product strings
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Mon Sep  8 2003 garloff@suse.de
- Update rescan-scsi-bus.sh to support LUNs larger than 9.
* Wed Sep  3 2003 garloff@suse.de
- Fix misplaced backtick in boot.scsidev
* Mon Sep  1 2003 garloff@suse.de
- #29617: Use tail -n2 instrad of tail -2 in rescan-scsi-bus.sh.
- New option --nooptscan to always scan all LUNs, even if LUN 0 is
  not found in rescan-scsi-bus.sh.
* Mon Aug 18 2003 garloff@suse.de
- #29094: Remove boot.idedma from ShouldStart, as we create a loop
  otherwise.
* Mon Aug 18 2003 garloff@suse.de
- #28934: Add Service-Reload: boot.scsidev
* Mon Aug 18 2003 garloff@suse.de
- #29083: Work around problem of scsidev boot script being called
  too late (after boot.localfs). The remount,ro of / is bad then.
- Update to scsidev-2.31:
  * Handle partitions correctly in symlink mode (fix got lost
    after 2.29).
* Tue Aug 12 2003 garloff@suse.de
- Update scsidev to 2.30:
  * Detect HP HSV devices and get OS Unit ID. Add alias support
    for it. Tag hsvosid.
  * Optionally use 'scd' instead of 'sr' as SCSI-Rom oldscsiname.
    (option -o).
  * Make scsidev safe against empty fields in SCSI name (model,
    ...).
  * Adapt for kernel-2.6: Reorder SCSI module loading (we want to
    attach real devices prior to sg). Use sysfs to gather some
    information (which is collected from the scsi-many proc ex-
    tensions on 2.4).
- Update rescan-scsi.sh script:
  * Support parameters --hosts, --channels, --targets, --luns
  * Optimization: Stop scanning if LUN 0 is not present (and we're
    not in remove mode)
* Mon Jun 30 2003 garloff@suse.de
- Remove sg_start from unpackaged location.
* Mon Jun 30 2003 garloff@suse.de
- Add lsscsi-0.10:
  Utility to display SCSI devices using the information from sysfs
  (2.5/2.6 kernel)
* Mon Jun 30 2003 garloff@suse.de
- Update to scsidev-2.29:
  * Fix file descriptor leak limiting the amount of disks to smth
    like 1024 :-(
  * Fix one of the stability fixes for missing host names.
- Update to sg3_utils-1.05 (beta):
  * sg_readcap: display in bytes, MB, GB
  * sg_logs: read twice, first to get response length correctly
  * sg_modes: prevent core dump for corrupted response
  * sg_iovec.tst: Test added
- Update to sg3_utils-1.04:
  * 7 man pages added (thx to Eric Schwartz/Debian)
  * sg_simple*, sg_inquiry moved to examples dir
  * sg_debug moved to archives dir
  * sg_modes: sub page codes, names for pages, try 6/10 byte CDB
    alternatices in case of error
  * sg_logs: -t switch for temperature, 255 = not available
  * sg_dd: -odir for O_DIRECT
  * sg_readcap: -pmi and -lba switches
  * Use O_NONBLOCK for sg_inq, sg_modes, sg_logs, so working for
    removable devices w/o medium
- Update tro sg3_utils-1.03:
  * sg_senddiag added
  * sg_start: uses SG_IO, thus works on block devs
  * sg_err: sense key spec data (Trent Piepho)
  * sg_modes: -6 switch for 6 byte CDB (trent Piepho), more info on
    page codes and controls
  * man pages for sg_inq, sg_modes, sg_logs, sg_senddiag
  * sg_dd: append parameter
* Fri Jun  6 2003 mmj@suse.de
- Remove file from buildroot/bin installed in buildroot/sbin
* Fri Mar  7 2003 garloff@suse.de
- fix problem with scsidev in link mode: links have pointed to
  whole disk device instead of partitions.
* Sun Feb  9 2003 garloff@suse.de
- Add sysconfig metadata. [#22683]
* Wed Jan 15 2003 garloff@suse.de
- scsidev: Handle EOF from sscanf
- Update to sg3-utils-1.02:
  * Make safe with block SG_IO
  * Little feature enhancements and bugfixes
- Update to sg3-utils-1.01:
  * -r(aw) switch in sg_inq
* Tue Nov  5 2002 bk@suse.de
- adapt rescan-scsi-bus.sh for the zfcp adapter on S/390 (#20820)
* Tue Nov  5 2002 bk@suse.de
- make scsidev more robust against inquiry errors(for S/390, #20820)
* Fri Oct  4 2002 garloff@suse.de
- Update to scsidev-2.28:
  * Integrates Olaf's bugfix
  * Fix /proc/scsi/scsi scanning error for SCSI device types with
    spaces (as e.g. "Medium Changer"), bug #20562
  * Optional (-M) multipath support
* Mon Sep 23 2002 olh@suse.de
- fix segfault in scsidev
  sscanf returns signed int, dont mix args and return values
* Tue Aug 27 2002 olh@suse.de
- add sg3_utils-1.00.sginq-raw.patch, needed for other ppc64 tools
  This patch  is needed to provide a -r (raw) option to sg_inq.
  This will be used by the hardware inventory tools that are in the
  ppc64-utils rpm which is not yet available.
  The patch was written by Martin Schwenke <martins@au.ibm.com>
* Mon Aug 19 2002 garloff@suse.de
- Add %%fillup_prereq and %%insserv_prereq (bug #17988)
* Sat Aug 10 2002 olh@suse.de
- chmod 755 for boot.scsidev
* Wed Aug  7 2002 garloff@suse.de
- Update to scsidev-2.27:
  * Fix usage message
* Wed Aug  7 2002 garloff@suse.de
- Update to scsidev-2.26:
  * Prevent segfaults in case INQUIRY fails
  * Make sure device node has right type (blk vs chr)
* Tue Jul 30 2002 garloff@suse.de
- Fix scsidev man page.
* Tue Jul 30 2002 garloff@suse.de
- Update to sg3_utils-1.00:
  * Updates to sg_err,
  * Better output of programs (sg_inq -cl)
  * continue on error option for sg_dd
  * LARGEFILE_64 support
  * dio support for sgm_dd
  * fua and sync args to sgX_dd
  * sg_logs and sg_modes programs for log and mode pages
  * time and cbdsz args for sgX_dd
  * new and update man pages
* Tue Jul 30 2002 garloff@suse.de
- Added boot.scsidev script (not enabled by default) and
  sysconfig.scsidev config file.
* Tue Jul 30 2002 garloff@suse.de
- Update to scsidev-2.25:
  * Support for SCSI changers
  * Sane way of storing permissions by using .shadow. files.
  * Also allow matching short hostname (/proc/scsi/*)
  * Support for /proc/scsi/scsi extensions
  * Collect other info via /proc as well (partitions, ioports).
  * Support for large number of disks
  * Adjust permissions of underlying real dev node in symlink mode.
  * Strip leading and trailing whitespaces from INQUIRY reports.
* Sat Jul 27 2002 garloff@suse.de
- Update to scsidev-2.23:
  * Support for identification of disks by WWID.
  * Support SCSI IDs and LUNs up to 255.
  * Fix error in number parser for hex numbers.
* Wed Jan 16 2002 garloff@suse.de
- Make /dev/scsi 775,root,disk and default new SCSI device
  nodes to 640,root,disk in scsidev.
- Fix compiler warnings in scsiinfo.
* Wed Jan 16 2002 garloff@suse.de
- Use sg3 variants of sg_utils
- Update to sg3-0.97
- Use BuildRoot and allow non-root RPM building
* Tue May 15 2001 garloff@suse.de
- Use $RPM_OPT_FLAGS in order to work on PPC (-fsigned-char)
  (Hint from olh@suse.de)
* Tue Apr 17 2001 kukuk@suse.de
- Don't use a RPM macro as Version number
* Wed Apr 11 2001 garloff@suse.de
- Fix sginfo -d (segfaulted for large defect lists)
* Wed Apr 11 2001 garloff@suse.de
- Update to sg-0.93.
- Add sg_start, compile sg_reset and add osst to sg_map.
* Tue Apr  3 2001 kukuk@suse.de
- Disable isosize, use newer version with docu from util-linux
* Tue Sep  5 2000 garloff@suse.de
- Update to scsidev-2.22: Make parser handle last line of
  /etc/scsi.alias even in absence of trailing LF.
* Mon Aug 28 2000 garloff@suse.de
- Update to scsidev-2.21: Prevent overflow for very long host
  adapter names (Advansys, thanks to Doug Gilbert for reporting)
* Sat Aug  5 2000 garloff@suse.de
- Update to scsidev-2.20: Include OnStream osst support and minor
  fixes
- Update to sg-20000630: Some new commands
- New program sg_start to spin down and up devices (harddisks)
- Many bugfixes to sginfo: * user defined pages work now
  * saving of changes works now
  * overflow in defect lists fixed
* Wed May 31 2000 kukuk@suse.de
- Fix including of kernel header files
* Fri Mar  3 2000 garloff@suse.de
- Initial creation of package, containing
  * scsiinfo-1.7
  * scsiformat
  * scsidev-2.10
  * rescan-scsi-bus.sh
  * sg_utils000207
